×
Namespaces

Variants
Actions
(Difference between revisions)

Archived:Handling exclamation marks in JAR URLs (Known Issue)

From Nokia Developer Wiki
Jump to: navigation, search
hamishwillee (Talk | contribs)
m (Hamishwillee - Bot change of template (Template:KnowledgeBase) - now using Template:ArticleMetaData)
hamishwillee (Talk | contribs)
m (Hamishwillee - Bot update)
Line 1: Line 1:
{{KBKI}}
+
{{ArticleMetaData <!-- v1.2 -->
__NOTOC__
+
__NOEDITSECTION__
+
{{ArticleMetaData
+
|id=KIJ000423
+
|platform=S60 3rd Edition
+
|devices=All S60 3rd Edition devices (firmware older than X.0612.XX.XX)
+
|category=
+
|subcategory=
+
|creationdate=October 5, 2006
+
|keywords=
+
 
+
 
|sourcecode= <!-- Link to example source code (e.g. [[Media:The Code Example ZIP.zip]]) -->
 
|sourcecode= <!-- Link to example source code (e.g. [[Media:The Code Example ZIP.zip]]) -->
 
|installfile= <!-- Link to installation file (e.g. [[Media:The Installation File.sis]]) -->
 
|installfile= <!-- Link to installation file (e.g. [[Media:The Installation File.sis]]) -->
|sdk=<!-- SDK(s) built and tested against (e.g. [http://linktosdkdownload/ Nokia Qt SDK 1.1]) -->
+
|devices= All S60 3rd Edition devices (firmware older than X.0612.XX.XX)
|devicecompatability=<!-- Compatible devices (e.g.: All* (must have GPS) ) -->
+
|sdk= <!-- SDK(s) built and tested against (e.g. [http://linktosdkdownload/ Nokia Qt SDK 1.1]) -->
|signing=<!-- Empty or one of Self-Signed, DevCert, Manufacturer -->
+
|platform= S60 3rd Edition
|capabilities=<!-- Capabilities required (e.g. Location, NetworkServices.) -->
+
|devicecompatability= <!-- Compatible devices (e.g.: All* (must have GPS) ) -->
|author=[[User:Technical writer 1]]
+
|dependencies= <!-- Any other/external dependencies e.g.: Google Maps Api v1.0 -->
 +
|signing= <!-- Empty or one of Self-Signed, DevCert, Manufacturer -->
 +
|capabilities= <!-- Capabilities required by the article/code example (e.g. Location, NetworkServices. -->
 +
|keywords= <!-- APIs, classes and methods (e.g. QSystemScreenSaver, QList, CBase -->
 +
|language= <!-- Language category code for non-English topics - e.g. Lang-Chinese -->
 +
|translated-by= <!-- [[User:XXXX]] -->
 +
|translated-from-title= <!-- Title only -->
 +
|translated-from-id= <!-- Id of translated revision -->
 +
|review-by= <!-- After re-review: [[User:username]] -->
 +
|review-timestamp= <!-- After re-review: YYYYMMDD -->
 +
|update-by= <!-- After significant update: [[User:username]]-->
 +
|update-timestamp= <!-- After significant update: YYYYMMDD -->
 +
|creationdate= 20061005
 +
|author= [[User:Technical writer 1]]
 +
<!-- The following are not in current metadata -->
 +
|subcategory=
 +
|id= KIJ000423
 
}}
 
}}
  
Line 29: Line 34:
 
This issue has been corrected in firmware builds, which have version number X.0612.XX.XX or later (check 4 digits after the first point).
 
This issue has been corrected in firmware builds, which have version number X.0612.XX.XX or later (check 4 digits after the first point).
  
[[Category:Known Issue]][[Category:Java ME]][[Category:S60 3rd Edition]]
+
[[Category:Known Issue]][[Category:Java ME]][[Category:S60 3rd Edition (initial release)]]

Revision as of 08:13, 27 March 2012

Article Metadata
Tested with
Devices(s): All S60 3rd Edition devices (firmware older than X.0612.XX.XX)
Compatibility
Platform(s): S60 3rd Edition
S60 3rd Edition (initial release)
Article
Created: User:Technical writer 1 (05 Oct 2006)
Last edited: hamishwillee (27 Mar 2012)

Overview

JAR URLs containing exclamation marks can cause problems during installation on S60 3rd Edition phones.

Description

Web servers can use exclamation marks in the session IDs they include in the URLs. The S60 MIDlet installer can have problems with such URLs. It is suggested to avoid exclamation marks as part of the URLs. The issue has been corrected in later firmware builds.

Solution

This issue has been corrected in firmware builds, which have version number X.0612.XX.XX or later (check 4 digits after the first point).

100 page views in the last 30 days.